# https://medium.com/bb-tutorials-and-thoughts/how-to-serve-react-application-with-nginx-and-docker-9c51ac2c50ba
FROM nginx:alpine

RUN apk update \
    && apk add lighttpd \
    && rm -rf /var/cache/apk/*

RUN addgroup -S www && adduser -S www -G www

## Remove default nginx index page
RUN rm -rf /var/www/achievely-mobile/*

COPY ./webserver/nginx.conf /etc/nginx/nginx.conf
COPY ./build /var/www/achievely-mobile

EXPOSE 3000 80

ENTRYPOINT ["nginx", "-g", "daemon off;"]
